Package org.opensaml.soap.wsaddressing.impl

# Class AttributedUnsignedLongImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wsaddressing.impl.AbstractWSAddressingObject
org.opensaml.soap.wsaddressing.impl.AttributedUnsignedLongImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XMLObject`, `AttributedUnsignedLong`, `WSAddressingObject`

Direct Known Subclasses:
  `RetryAfterImpl`

public class AttributedUnsignedLongImpl extends AbstractWSAddressingObject implements AttributedUnsignedLong
Implementation of `AttributedUnsignedLong`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final AttributeMap`
`unknownAttributes`
Wildcard attributes.
`private Long`
`value`
Element's long value.

### Fields inherited from interface org.opensaml.soap.wsaddressing.AttributedUnsignedLong

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`AttributedUnsignedLongImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`Long`
`getValue()`
Gets the element's value.
`void`
`setValue(Long newValue)`
Sets the element's value.

### Methods inherited from class org.opensaml.soap.wsaddressing.impl.AbstractWSAddressingObject

`getOrderedChildren`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### value

@Nullable private Long value
Element's long value.

### unknownAttributes

@Nonnull private final AttributeMap unknownAttributes
Wildcard attributes.

## Constructor Details

### AttributedUnsignedLongImpl

public AttributedUnsignedLongImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element

## Method Details

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes

### getValue

@Nullable public Long getValue()
Gets the element's value.

Specified by:
  `getValue` in interface `AttributedUnsignedLong`
Returns:
  the element's value

### setValue

public void setValue(@Nullable Long newValue)
Sets the element's value.

Specified by:
  `setValue` in interface `AttributedUnsignedLong`
Parameters:
  `newValue` - the new element value